/*
 * USI_SPI.c
 *
 *  Created on: Aug 10, 2012
 *      Author: a0135618
 */

#include <msp430.h>
#include "main.h"


#if defined(__MSP430G2231__)


void usiSPIInit(void)
{
    //USICTL0 = (USIPE7|USIPE6|USIPE5|USIMST|USIGE|USIOE|USISWRST);
    USICTL0 = (USIPE7|USIPE6|USIPE5|USIMST|USIOE|USISWRST);
    USICTL1 = 0;
    USICKCTL = (0x00|0x08); //SMCLK/1
    USICNT = 0;
    USICTL0 = (USIPE7|USIPE6|USIPE5|USIMST|USIOE);
    //USICTL0 &= (~USISWRST);
}


unsigned char usiSPIWriteRead(unsigned char data)
{
    USISRL = data;
    USICNT = 8;
    while(!(USICTL1 & USIIFG));

    data = USISRL;
    return data;
    //return USISRL;
}


#endif
