/*
 * main.h
 *
 *  Created on: Aug 9, 2012
 *      Author: a0135618
 */

#ifndef MAIN_H_
#define MAIN_H_


#if defined(__MSP430G2553__)
#define MCU_CLK 16000000
#elif defined(__MSP430G2231__)
#define MCU_CLK 1000000
#endif
#define TA_CLK MCU_CLK
#define TAC0_PERIOD (TA_CLK/1000)
#define period(x) x

//#define TAC1_PERIOD ((TA_CLK*16)/100000)


#define runLEDPort P1OUT
#define RUN_LED_PIN 0x01


#define ledErrOn()  (P1OUT |= 0x01)
#define ledErrOff() (P1OUT &= 0xFE)

#define ledOKOn()   (P1OUT |= 0x01)
#define ledOKOff()  (P1OUT &= 0xFE)


typedef unsigned short TIMER16;


enum _Timer16
{
    //RUN_LED_PER,
    PGA450_TASK_DLY,
    TIMER16_MAX
};


extern TIMER16 timer16[TIMER16_MAX];


extern void kickDog(void);
extern void freezeDog(void);
extern void portInit(void);
extern void sysClkInit(void);
extern void timerAInit(void);
extern void delay_us(unsigned int uSec);
extern void sysTimerTask(void);


#endif /* MAIN_H_ */
